<?php

namespace Database\Factories;

use Faker\Core\Number;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
 */
class UserFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'rz_username' => 'rzu12345',
            'full_name' => $this->faker->name(),
            'organisation_unit' => $this->faker->company(),
            'has_admin_privileges' => false, 
            'hashed_password' => 'vollgeheim', // password
        ];
    }
}
